QGIS Application - Feature request #5250
Vector Style for Categorized and Graduated Legends
2012-03-28 08:24 AM - elcuco -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 14984
Description

Hi,

When we want to make a legend of a graduated or categorized vector, we choose the option Graduated or Categorized, choose the color
ramp and we hit Classify. We can then rearrange to other classes to our liking. However, if we want to change the color ramp we have to
delete the classes, choose another color ramp, click again on Classify and redo the classes. This is not very practical. And if we want to
try a bunch of colors we have to do delete and redo it several times. So | suggest that the color ramps can be changed without requiring
delete and redo the classes of our liking.

History

#1 - 2012-04-15 10:10 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#2 - 2012-10-06 02:19 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-11-10 05:11 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Hello, bug triage...

on QGIS master 2.13, there is a trigger which automatically change the colors of the classes whenever you change the color ramp. It works on categorized

and graduated styles (and even for rule-based refined rules). No need to delete classes anymore.

| am closing this feature request...

#4 - 2015-11-17 02:22 AM - elcuco -

Greate job!

Médéric RIBREUX wrote:

Hello, bug triage...

on QGIS master 2.13, there is a trigger which automatically change the colors of the classes whenever you change the color ramp. It works on
categorized and graduated styles (and even for rule-based refined rules). No need to delete classes anymore.

I am closing this feature request...
